%define pypi_name jupyter

Name:           jupyter
Version:        1.0.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter metapackage

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.python.org/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch
Patch1:         dont-install-jupiter-module.patch
BuildArch:      noarch
 
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(2)(sphinx-rtd-theme)
BuildRequires:  pythonegg(2)(sphinx)
Requires:       python3-%{name} = %{version}-%{release}




%description
Install the Jupyter system, including the notebook, 
qtconsole, and the IPython kernel.

%package -n     python3-%{name}
Summary:        Jupyter metapackage (Python 2)
Requires:       ipython3
Requires:       jupyter-client
Requires:       jupyter-console
Requires:       jupyter-core
Requires:       jupyter-nbconvert
Requires:       jupyter-notebook
Requires:       jupyter-notebook
Recommends:     jupyter-qtconsole

%description -n python3-%{name}
Install the Jupyter system, including the notebook, 
qtconsole, and the IPython kernel.

This package installs Jupyter for Python 3.


%package -n     python-%{name}
Summary:        Jupyter metapackage (Python 2)
Requires:       ipython

%description -n python-%{name}
Install the Jupyter system, including the notebook, 
qtconsole, and the IPython kernel.

This package installs Jupyter for Python 2.

%package doc
Summary:	Documentation for Jupyter
Group:		Development/Python
BuildArch: noarch

%description doc
This package contains documentation for Jupyter.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
pushd docs
PYTHONPATH=. make man
install -d %{buildroot}%{_mandir}/man1
mv ./build/man/jupyter*.1 %{buildroot}%{_mandir}/man1/
popd

%files doc
%doc docs/source/*.rst
%{_mandir}/man1/*
%license LICENSE

%files -n python3-%{name}
%license LICENSE
%{python3_sitelib}/


%files -n python-%{name}
%license LICENSE
%{python2_sitelib}/





%changelog
* Fri Dec 16 2016 philippem <philippem> 1.0.0-2.mga6
+ Revision: 1075585
- The 'jupyter' module was moved into the jupyter_core distribution

* Mon Apr 18 2016 philippem <philippem> 1.0.0-1.mga6
+ Revision: 1003533
- imported package jupyter

